Bug 957771 (CVE-2013-2298)

Summary: CVE-2013-2298 boinc-client: Multiple stack overflow flaws when parsing XML files
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: cheekyboinc, mmahut, xjakub
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130428,reported=20130428,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/boinc-client=affected,epel-6/boinc-client=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 957811, 957812    
Bug Blocks:    

Description Jan Lieskovsky 2013-04-29 09:44:29 EDT
Multiple stack overflow flaws were found in the way the XML parser of boinc-client, a Berkeley Open Infrastructure for Network Computing (BOINC) client for distributed computing, performed processing of certain XML files. A rogue BOINC server could provide a specially-crafted XML file that, when processed would lead to boinc-client executable crash.

References:
[1] http://www.openwall.com/lists/oss-security/2013/04/28/3

Relevant upstream patch:
[2] http://boinc.berkeley.edu/gitweb/?p=boinc-v2.git;a=commitdiff;h=2fea03824925cbcb976f4191f4d8321e41a4d95b
Comment 1 Jan Lieskovsky 2013-04-29 10:08:35 EDT
This issue affects the versions of the boinc-client package, as shipped with Fedora release of 17, 18, and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-04-29 10:57:54 EDT
Summary of boinc-client related issues, as reported here:
  http://www.openwall.com/lists/oss-security/2013/04/28/3

is as follows:

> * CVE-2013-2298: various stack overflow vulnerabilities in the XML parser
>  used by both the client and server software. I think that any 7.x version
>  is vulnerable, but possibly not the 6.12 branch or earlier. No promises.

Tracked under this bug.

> * Stack overflow in the client code by providing multiple file_signature
>   elements. 6.10.58 and 6.12.34 are vulnerable. 7.x isn't.

Tracked under bug #957775.

> * SQL injections in the server-side scheduler code

Not tracked (not applicable to boinc-client code).

> * SQL injections in the user-facing web scripts

Not tracked (not applicable to boinc-client code).

> * Stack overflows in the trickle code on server and client side

Not tracked (not applicable to versions of boinc-client code, as shipped with Fedora 17, 18, and Fedora EPEL-6)

> * From a few days ago, a possible format string issue(?) in the client
>  code:

Tracked under bug #957795.

> * An SQL injection vulnerability in the locality code (apparently only
>  used by one known project),

Not tracked since assuming the SQL injection would happen at the side of the server. But the relevant upstream patch is applicable to versions of boinc-client, as shipped with Fedora release of 17, 18, and Fedora EPEL-6. If it should be tracked, let me know, and I will track this yet.
Comment 3 Jan Lieskovsky 2013-04-29 11:01:31 EDT
Created boinc-client tracking bugs for this issue

Affects: fedora-all [bug 957811]
Comment 4 Jan Lieskovsky 2013-04-29 11:05:21 EDT
Created boinc-client tracking bugs for this issue

Affects: epel-6 [bug 957812]
Comment 5 Fedora Update System 2013-12-27 00:59:04 EST
boinc-client-7.2.33-2.git1994cc8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-27 01:00:01 EST
boinc-client-7.2.33-2.git1994cc8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-05-09 18:03:01 EDT
boinc-client-7.2.33-3.git1994cc8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.